module.exports = {
  create: {
    requestBody: [
      "title",
      "origin",
      "create_time",
      "img_url",
      "web_url",
      "is_use",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "origin",
      "create_time",
      "img_url",
      "web_url",
      "is_use",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        title: "title",
        origin: "origin",
        create_time: "create_time",
        web_url: "web_url",
        is_use: "is_use",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
