module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "video_id",
      "title",
      "img_url",
      "view_num",
      "time_num",
      "follow_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "video_id",
      "title",
      "img_url",
      "view_num",
      "time_num",
      "follow_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        user_id: "user_id",
        user_name: "user_name",
        video_id: "video_id",
        title: "title",
        view_num: "view_num",
        time_num: "time_num",
        follow_time: "follow_time",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  secollects: {
    requestBody: ["!user_id", "!video_id"],
  },
};
