module.exports = {
  create: {
    requestBody: [
      "name",
      "logo_url",
      "address",
      "contact",
      "phone",
      "qq",
      "email",
      "mobile",
      "advantage",
      "programme",
      "idea",
      "unique",
      "join",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "logo_url",
      "address",
      "contact",
      "phone",
      "qq",
      "email",
      "mobile",
      "advantage",
      "programme",
      "idea",
      "unique",
      "join",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        name: "name",
        address: "address",
        contact: "contact",
        phone: "phone",
        qq: "qq",
        email: "email",
        mobile: "mobile",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
