module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "user_img_url",
      "video_id",
      "video_title",
      "content",
      "create_time",
      "create_address",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "user_img_url",
      "video_id",
      "video_title",
      "content",
      "create_time",
      "create_address",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        user_id: "user_id",
        user_name: "user_name",
        video_id: "video_id",
        video_title: "video_title",
        create_time: "create_time",
        create_address: "create_address",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
