module.exports = {
  create: {
    requestBody: [
      "user_id",
      "user_name",
      "money_no",
      "type",
      "create_time",
      "money",
      "remark",
      "pay_url",
      "pay_no",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "money_no",
      "type",
      "create_time",
      "money",
      "remark",
      "pay_url",
      "pay_no",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        user_id: "user_id",
        user_name: "user_name",
        money_no: "money_no",
        type: "type",
        create_time: "create_time",
        money: "money",
        pay_no: "pay_no",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
