module.exports = {
  create: {
    requestBody: [
      "account",
      "password",
      "phone",
      "nick_name",
      "gender",
      "logo_url",
      "is_vip",
      "vip_start_time",
      "vip_end_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "account",
      "password",
      "phone",
      "nick_name",
      "gender",
      "logo_url",
      "is_vip",
      "vip_start_time",
      "vip_end_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        account: "account",
        phone: "phone",
        nick_name: "nick_name",
        gender: "gender",
        is_vip: "is_vip",
        vip_start_time: "vip_start_time",
        vip_end_time: "vip_end_time",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  resetPwd: {
    params: ["!id"],
    requestBody: ["!password"],
  },
  login: {
    requestBody: ["!account", "!password"],
  },
};
