module.exports = {
  create: {
    requestBody: [
      "title",
      "brief",
      "time_num",
      "origin",
      "firm_id",
      "type_id",
      "place_id",
      "year",
      "head_actor",
      "actor",
      "img_url",
      "video_url",
      "view_num",
      "is_use",
      "is_hot",
      "is_vip",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "brief",
      "time_num",
      "origin",
      "firm_id",
      "type_id",
      "place_id",
      "year",
      "head_actor",
      "actor",
      "img_url",
      "video_url",
      "view_num",
      "is_use",
      "is_hot",
      "is_vip",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        title: "title",
        brief: "brief",
        time_num: "time_num",
        origin: "origin",
        firm_id: "firm_id",
        type_id: "type_id",
        place_id: "place_id",
        year: "year",
        head_actor: "head_actor",
        view_num: "view_num",
        is_use: "is_use",
        is_hot: "is_hot",
        is_vip: "is_vip",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
