'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// app基本信息
const appbasic = {
  name: { type: String, required: false, zh: '名称' }, //
  logo_url: { type: Array, required: false, zh: 'logo' }, //
  foot_menus: { type: Array, required: false, zh: '底部菜单' }, //
  account_btn: { type: Array, required: false, zh: '账号功能按钮' }, //
  pay_info: { type: Object, required: false, zh: '支付信息' }, //
  customer_mobile: { type: String, required: false, zh: '客服电话' }, //
};
const schema = new Schema(appbasic, {
  toJSON: { getters: true, virtuals: true },
});
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ name: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Appbasic', schema, 'appbasic');
};
