'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');


// 字典数据表
const dictdata = {
  type: { type: String, required: false, zh: '字典类型' }, //
  label: { type: String, required: false, zh: '内容名' }, //
  value: { type: String, required: false, zh: '内容值' }, //
  sort: { type: Number, required: false, default: 0, zh: '排序' }, //
  is_use: { type: String, required: false, default: '0', zh: '是否启用' }, //
  remark: { type: String, required: false, zh: '备注' }, //
};
const schema = new Schema(dictdata, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ type: 1 });
schema.index({ label: 1 });
schema.index({ value: 1 });
schema.index({ sort: 1 });
schema.index({ is_use: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Dictdata', schema, 'dictdata');
};

