'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');


// 讨论
const discuss = {
  user_id: { type: String, required: false, zh: '用户id' }, //
  user_name: { type: String, required: false, zh: '用户名称' }, //
  user_img_url: { type: Array, required: false, zh: '用户头像' }, //
  video_id: { type: String, required: false, zh: '视频id' }, //
  video_title: { type: String, required: false, zh: '视频名称' }, //
  content: { type: String, required: false, zh: '评论内容' }, //
  create_time: { type: String, required: false, zh: '评论时间' }, //
  create_address: { type: String, required: false, zh: '评论地点' }, //
};
const schema = new Schema(discuss, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ user_id: 1 });
schema.index({ user_name: 1 });
schema.index({ video_id: 1 });
schema.index({ video_title: 1 });
schema.index({ create_time: 1 });
schema.index({ create_address: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Discuss', schema, 'discuss');
};
