'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');


// 视频场景信息
const scenedata = {
  type_id: { type: String, required: false, zh: '分类' }, //
  is_scene: { type: String, required: false, default: '0', zh: '是否推荐' }, //
  title: { type: String, required: false, zh: '名称' }, //
  img_url: { type: Array, required: false, zh: '图片' }, //
  sort: { type: Number, required: false, default: '0', zh: '排序' }, //
  is_use: { type: String, required: false, default: '0', zh: '是否启用' }, //
};
const schema = new Schema(scenedata, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ type_id: 1 });
schema.index({ is_scene: 1 });
schema.index({ title: 1 });
schema.index({ sort: 1 });
schema.index({ is_use: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Scenedata', schema, 'scenedata');
};
