'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

const { Secret } = require('naf-framework-mongoose-free/lib/model/schema');

// 用户表
const user = {
  account: { type: String, required: false, zh: '账号' }, //
  password: { type: Secret, required: false, select: false, zh: '密码' }, //
  phone: { type: String, required: false, zh: '联系电话' }, //
  nick_name: { type: String, required: false, zh: '昵称' }, //
  gender: { type: String, required: false, zh: '性别' }, //
  logo_url: { type: Array, required: false, zh: '头像' }, //
  is_vip: { type: String, required: false, default: '0', zh: '是否为vip' }, //
  vip_start_time: { type: String, required: false, zh: 'vip开始时间' }, //
  vip_end_time: { type: String, required: false, zh: 'vip结束时间' }, //
};
const schema = new Schema(user, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ account: 1 });
schema.index({ phone: 1 });
schema.index({ nick_name: 1 });
schema.index({ gender: 1 });
schema.index({ is_vip: 1 });
schema.index({ vip_start_time: 1 });
schema.index({ vip_end_time: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('User', schema, 'user');
};

