'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const MoneyPlugin = require('naf-framework-mongoose-free/lib/model/type-money-plugin');

// vip设置
const vipsetting = {
  title: { type: String, required: false, zh: '名称' }, //
  brief: { type: String, required: false, zh: '简介' }, //
  days: { type: Number, required: false, zh: '天数' }, //
  sort: { type: Number, required: false, default: '0', zh: '排序' }, //
  is_use: { type: String, required: false, default: '0', zh: '是否启用' }, //
};
const schema = new Schema(vipsetting, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ title: 1 });
schema.index({ sort: 1 });
schema.index({ is_use: 1 });
schema.plugin(metaPlugin);
schema.plugin(MoneyPlugin({ zh: '金额', required: false, key: 'money' }));

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Vipsetting', schema, 'vipsetting');
};
